# Method: children.insert

- [HTTP request](https://developers.google.com/workspace/drive/api/reference/rest/v2/children/insert#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/drive/api/reference/rest/v2/children/insert#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/drive/api/reference/rest/v2/children/insert#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/drive/api/reference/rest/v2/children/insert#body.request_body)
- [Response body](https://developers.google.com/workspace/drive/api/reference/rest/v2/children/insert#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/drive/api/reference/rest/v2/children/insert#body.aspect)
- [Try it!](https://developers.google.com/workspace/drive/api/reference/rest/v2/children/insert#try-it)

Inserts a file into a folder.

### HTTP request

`POST https://www.googleapis.com/drive/v2/files/{folderId}/children`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `folderId` | `string` The ID of the folder. |

### Query parameters

| Parameters ||
|---|---|
| `enforceSingleParent (deprecated)` | `boolean` Deprecated: Adding files to multiple folders is no longer supported. Use `shortcuts` instead. |
| `supportsAllDrives` | `boolean` Whether the requesting application supports both My Drives and shared drives. |
| `supportsTeamDrives (deprecated)` | `boolean` Deprecated: Use `supportsAllDrives` instead. |

### Request body

The request body contains an instance of `https://developers.google.com/workspace/drive/api/reference/rest/v2/children#ChildReference`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/workspace/drive/api/reference/rest/v2/children#ChildReference`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/docs`
- `
  https://www.googleapis.com/auth/drive`
- `
  https://www.googleapis.com/auth/drive.appdata`
- `
  https://www.googleapis.com/auth/drive.file`

Some scopes are restricted and require a security assessment for your app to use them. For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).